Moderate: OpenAFS (SL6, SL7)

Synopsis: Moderate: OpenAFS
Advisory ID: OPENAFS-SA-2018-001:2:3
Issue Date: 2018-09-11
CVE Numbers: None

These releases include fixes for three security advisories,
OPENAFS-SA-2018-001, OPENAFS-SA-2018-002, and OPENAFS-SA-2018-003.

OPENAFS-SA-2018-001 only affects deployments that run the ‘butc’ utility
as part of the in-tree backup system, but is of high severity for
those sites which are affected — an anonymous attacker could replace
entire volumes with attacker-controlled contents.

OPENAFS-SA-2018-002 is for information leakage over the network via
uninitialized RPC output variables. A number of RPCs are affected,
some of which require the caller to be authenticated, but in some cases
hundreds of bytes of data can be leaked per call. Of note is that
cache managers are also subject to (kernel) memory leakage via
AFSCB_ RPCs.

OPENAFS-SA-2018-003 is a denial of service whereby anonymous attackers
can cause server processes to consume large quantities of memory for
a sustained period of time.

The changes to fix OPENAFS-SA-2018-001 require behavior change in both
butc(8) and backup(8) to use authenticated connections; old and new
versions of these utilities will not interoperate absent specific
configuration of the new tool to use the old (insecure) behavior.
These changes also are expected to cause backup(8)’s interactive mode
to be limited to only butc connections requiring (or not requiring)
authentication within a given interactive session, based on the initial
arguments selected.

SL6
x86_64
kmod-openafs-754-1.6.23-289.sl6.754.3.5.x86_64.rpm
openafs-1.6.23-289.sl6.x86_64.rpm
openafs-authlibs-1.6.23-289.sl6.x86_64.rpm
openafs-authlibs-devel-1.6.23-289.sl6.x86_64.rpm
openafs-client-1.6.23-289.sl6.x86_64.rpm
openafs-compat-1.6.23-289.sl6.x86_64.rpm
openafs-debuginfo-1.6.23-289.sl6.x86_64.rpm
openafs-devel-1.6.23-289.sl6.x86_64.rpm
openafs-kernel-source-1.6.23-289.sl6.x86_64.rpm
openafs-kpasswd-1.6.23-289.sl6.x86_64.rpm
openafs-krb5-1.6.23-289.sl6.x86_64.rpm
openafs-module-tools-1.6.23-289.sl6.x86_64.rpm
openafs-plumbing-tools-1.6.23-289.sl6.x86_64.rpm
openafs-server-1.6.23-289.sl6.x86_64.rpm
i386
kmod-openafs-754-1.6.23-289.sl6.754.3.5.i686.rpm
openafs-1.6.23-289.sl6.i686.rpm
openafs-authlibs-1.6.23-289.sl6.i686.rpm
openafs-authlibs-devel-1.6.23-289.sl6.i686.rpm
openafs-client-1.6.23-289.sl6.i686.rpm
openafs-compat-1.6.23-289.sl6.i686.rpm
openafs-debuginfo-1.6.23-289.sl6.i686.rpm
openafs-devel-1.6.23-289.sl6.i686.rpm
openafs-kernel-source-1.6.23-289.sl6.i686.rpm
openafs-kpasswd-1.6.23-289.sl6.i686.rpm
openafs-krb5-1.6.23-289.sl6.i686.rpm
openafs-module-tools-1.6.23-289.sl6.i686.rpm
openafs-plumbing-tools-1.6.23-289.sl6.i686.rpm
openafs-server-1.6.23-289.sl6.i686.rpm
SL7
x86_64
openafs-1.6-sl-server-1.6.23-289.sl7.x86_64.rpm
openafs-1.6-sl-plumbing-tools-1.6.23-289.sl7.x86_64.rpm
openafs-1.6-sl-client-1.6.23-289.sl7.x86_64.rpm
openafs-1.6-sl-kernel-source-1.6.23-289.sl7.x86_64.rpm
openafs-1.6-sl-devel-1.6.23-289.sl7.x86_64.rpm
openafs-1.6-sl-module-tools-1.6.23-289.sl7.x86_64.rpm
openafs-1.6-sl-compat-1.6.23-289.sl7.x86_64.rpm
openafs-1.6-sl-authlibs-1.6.23-289.sl7.x86_64.rpm
kmod-openafs-1.6-sl-862-debuginfo-1.6.23-289.sl7.862.11.6.x86_64.rpm
openafs-1.6-sl-debuginfo-1.6.23-289.sl7.x86_64.rpm
kmod-openafs-1.6-sl-862-1.6.23-289.sl7.862.11.6.x86_64.rpm
openafs-1.6-sl-krb5-1.6.23-289.sl7.x86_64.rpm
openafs-1.6-sl-kpasswd-1.6.23-289.sl7.x86_64.rpm
openafs-1.6-sl-authlibs-devel-1.6.23-289.sl7.x86_64.rpm
openafs-1.6-sl-1.6.23-289.sl7.x86_64.rpm

– Scientific Linux Development Team